Please merge gnupg 1.4.10-2 from debian testing

Bug #477818 reported by Nicolas Valcarcel on 2009-11-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnupg (Ubuntu)
Wishlist
Thierry Carrez

Bug Description

Binary package hint: gnupg

Debian has a new version that needs to be merged

Related branches

Nicolas Valcarcel (nvalcarcel) wrote :

Attaching debdiff

Changed in gnupg (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Michael Bienia (geser) wrote :

Two of the changes you list in remaining changes are already included in the Debian package and therefore don't appear in your debdiff: debian/gnupg.udev and the addition of libcurl4-gnutls-dev to Build-Depends.

Nicolas Valcarcel (nvalcarcel) wrote :

Ugh, now that you mention, yes i forgot to remove those :S

Martin Pitt (pitti) wrote :

Is the powerpc fix still actually relevant with lucid's toolchain?

Nicolas Valcarcel (nvalcarcel) wrote :

I don't have access to a ppc to actually test it, so i left it there, at end, it won't hurt.

Thierry Carrez (ttx) on 2010-01-05
Changed in gnupg (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnupg - 1.4.10-2ubuntu1

---------------
gnupg (1.4.10-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing (lp: #503064, #477818). Remaining changes:
    - Add 'debian/patches/50_disable_mlock_test.dpatch': Disable mlock() test
      since it fails with ulimit 0 (on buildds).
    - Add 'debian/patches/61_use_agent_default.dpatch': Patch to set gpg
      (or gpg2) and gpgsm to use a passphrase agent by default (lp: 15485)
    - Fix udeb build failure on powerpc, building with -O2 instead of -Os.
 -- Michael Bienia <email address hidden> Mon, 04 Jan 2010 20:06:01 +0100

Changed in gnupg (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers